@import "src/styles";

.exercise-info{
    padding-top: 40px;
    padding-bottom: 40px;
    padding-left: 16px;
    padding-right: 16px;

    h2{
        padding-top: 24px;
        padding-bottom: 16px;
    }
    span{
        display: block;
        margin-bottom: 16px;
    }
    .last-span{
        margin-bottom: 0;
    }

    .no-participants{
        margin-top: 16px;
        margin-bottom: 0;
    }

    .data-stats-wrapper{
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(240px, 1fr));
        grid-gap: 16px;

        data-stats{
            max-width: 340px;
        }
    }

    table{
        display: block;
        overflow-x: auto;
        white-space: nowrap;
        padding-bottom: 8px;
        border-spacing: 2px;
        border-color: transparent;

        thead tr {
            span{
                font-size: 12px;
                font-weight: bold;
                color: $color-grey-fourty;
                margin-bottom: 0;
                display: inline;
            }
            background-color: $color-soft-blue;
            color: $color-dark-blue;
            text-align: left;
        }

        th,
        td {
            padding: 8px 12px;
            text-align: left;
        }

        .th-name{
            font-weight: normal;
        }
        tbody tr:nth-of-type(odd) {
            th{
                background-color: $color-white;
            }
        }
        tbody tr:nth-of-type(even) {
            th{
                background-color: $color-grey-ten;
            }
        }

        td{
            &.done{
                background-color: rgba($color-teal, 0.1);
                color: $color-teal;
            }
        
            &.doing{
                background-color: rgba($color-soft-blue, 0.2);
            }
        
            &.todo{
                background-color: rgba($color-black, 0.1);
            }
        
            &.problem{
                background-color: rgba($color-error, 0.1);
                color: $color-error;
            }
        }
    }

}